function xdot=trafo_octave(x,t)
global R1 R2 Ll1 Ll2 Lm1 Rl Vrms freq i flambda_m

%% Tudo referido ao Primario.
%R1=12;
%R2=10;
%Ll1=27.1E-3;
%Ll2=27.1E-3;
%Lm1=262.9E-3;
%Rl=1E6;



La=1./(1./Lm1+1./Ll1+1./Ll2);

Lambda_m=La*(x(1)/Ll1+x(2)/Ll2);
i1=(x(1)-Lambda_m)/Ll1;
i2=(x(2)-Lambda_m)/Ll2;


v1=Vrms*sqrt(2)*cos(2*pi*freq*t);
v2=-Rl*i2;
%v2=v1;

u=[v1;v2;Lambda_m];
A=[-R1/Ll1 0 ;0 -R2/Ll2];
B=[1 0 R1/Ll1; 0 1 R2/Ll2];

xdot=A*x+B*u;
end
