clear all
global R1 R2 Ll1 Ll2 Lm1 Rl Vrms freq i flambda_m

R1=12;
R2=10;
Ll1=27.1E-3;
Ll2=27.1E-3;
Lm1=262.9E-3;

Vrms=100;
freq=60;
Rl=1E2;


x0=[0,0];



t=linspace(0,0.2,2000);
x=lsode("trafo_octave",x0,t);




La=1/(1/Lm1+1/Ll1+1/Ll2);

Lambda_m=La*(x(:,1)/Ll1+x(:,2)/Ll2);
i1=(x(:,1)-Lambda_m)/Ll1;
i2=(x(:,2)-Lambda_m)/Ll2;

v2=-Rl*i2;
v1=Vrms*sqrt(2)*cos(2*pi*freq*t);
%v2=v1;
figure(1);
plot(t,x(:,1)); hold on;plot(t,x(:,2));plot(t,Lambda_m); hold off;
legend('Lambda 1', 'Lambda 2', 'Lambda m');
figure(2);
plot(t,v1); hold on;plot(t,v2); hold off;
figure(3);
plot(t,i1); hold on;plot(t,i2); hold off;
